<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
	<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<!DOCTYPE html>
<html>

<head>
	<meta charset="UTF-8">
	<title>○○掲示板 | ユーザ情報更新</title>
	<!-- header.cssの読み込み -->
	<link href="css/header.css" rel="stylesheet" type="text/css" />
	<!-- Bootstrapの読み込み -->
	<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css"
		integrity="sha384-MCw98/SFnGE8fJT3GXwEOngsV7Zt27NXFoaoApmYm81iuXoPkFOJwJ8ERdknLPMO" crossorigin="anonymous">
</head>

<body>
	<!-- ヘッダー -->
	<header>
		<nav class="navbar navbar-dark navbar-expand  flex-md-row justify-content-end header-one">
			<ul class="navbar-nav navbar-dark flex-row mr-auto header-two">
				<li class="nav-item active">
					<!-- ページタイトル、スレッド一覧へのリンク -->
					<a class="nav-link" href="ThreadListServlet">○○掲示板</a>
				</li>
			</ul>
			<ul class="navbar-nav flex-row">
				<!-- ログインユーザー名表示、更新ページへのリンク -->
				<li class="nav-item"><a class="nav-link" href="UserDetailServlet">${userInfo.name}さん</a></li>
				<!-- ログアウトリンク -->
				<li class="nav-item"><a class="nav-link" href="LogoutServlet">ログアウト</a>
				</li>
			</ul>
		</nav>
	</header>


	<div class="container mt-5">
		<div class="row">
			<div class="col-6 offset-3 text-center">
				<h3>ユーザ情報 更新</h3>
			</div>
		</div>

		<div class="row">
			<div class="col-6 offset-3">
				<!-- エラーメッセージ start -->
				<c:if test="${errMsg != null}">
					<div class="alert alert-danger" role="alert">${errMsg}</div>
				</c:if>
				<!--エラーメッセージ  end  -->
			</div>
		</div>

		<div class="row">
			<div class="col-sm-6 offset-sm-3">
				<div class="card bg-light mb-3">
					<div class="card-content">
						<!--   ユーザー情報更新フォーム   -->
						<form method="post" action="UpdateResultServlet">
							<div class="form-group row mt-1"></div>
							<div class="form-group row">
								<label for="user-id" class="control-label col-3">ログインID</label>
								<div class="col-9">
									<!--   ログインID（無効化）   -->
									<input type="text" name="login-id" id="loginId" class="form-control"
										value="${user.loginId}" disabled="disabled">
								</div>
							</div>
							<div class="form-group row">
								<label for="password" class="control-label col-3">パスワード</label>
								<div class="col-9">
									<!--   パスワード   -->
									<input type="password" name="password" id="password" class="form-control">
								</div>
							</div>
							<div class="form-group row">
								<label for="password-confirm" class="control-label col-3">パスワード<br>(確認)</label>
								<div class="col-9">
									<!--   パスワード（確認用）   -->
									<input type="password" name="password-confirm" id="password-confirm"
										class="form-control">
								</div>
							</div>
							<div class="form-group row">
								<label for="user-name" class="control-label col-3">ユーザー名</label>
								<div class="col-9">
									<!--   ユーザー名   -->
									<input type="text" name="name" id="user-name" class="form-control"
										value="${user.name}">
								</div>
							</div>

							<div>
								<button type="submit" class="btn btn-primary btn-block form-submit">確認</button>
							</div>
						</form>
					</div>
				</div>
				<div class="row mt-3">
					<div class="col">
						<!-- 戻るボタン-->
						<a href="UserDetailServlet?id=${user.id}" class="text-primary">戻る</a>
					</div>
				</div>
			</div>
		</div>
	</div>
	</div>
</body>

</html>